Subject: Re: bug#42406: Mouse-wheel scrolling can be flickering

From: martin rudalics <[email-masked]>
Date: Thu, 17 Dec 2020 16:13:37 +0100

> set-window-start is how Lisp programs tell the display engine to
 > scroll the display.  So if we agree that scrolling should trigger
 > update of the frame's elements other than the selected window,

Personally I don't agree but happily leave this decision to others.

 > then
 > these calls to wset_update_mode_line are necessary and cannot be
 > removed.
 >
 > As I said previously, patches are welcome to make the decision of what
 > exactly needs to be redrawn more fine-grained than the current "either
 > just the selected window or all the windows on all the frames" method.

We talk here about a workaround Konrad would use in his personal builds
to avoid that scrolling a window slows down his system until something
better is available.  Or what would you do in his place?

martin